{% extends "layout.jinja2" %}

{% block locale %}fr{% endblock %}
{% block title %}Résif WS TimeSeries{% endblock %}
{% block description %}Résif WS TimeSeries v1{% endblock %}
{% block sidebar_link_title %}TimeSeries{% endblock %}

{% block script %}
    <script src="{{ url_for('static', filename='timeseries.js') }}"></script>
{% endblock %}

{% block content %}
    <h1 class="clearfix">
        TimeSeries
        <span class="float-right">
            <a class="btn btn-outline-primary btn-sm disabled" role="button" aria-disabled="true">FR</a>
            <a class="btn btn-outline-primary btn-sm" role="button" aria-disabled="false" href="{{ url_for('doc') }}local=en">EN</a>
        </span>
    </h1>

    <p>
        Ce service donne accès aux signaux temporels des stations sismologiques du réseau RESIF. Des traitements supplémentaires peuvent être réalisés sur les données.
    </p>

    <h3>Limitations</h3>
    <ul>
        <li>La plage demandée ne peut excéder 31 jours.</li>
        <li>Seules les données non restreintes sont accessibles.</li>
    </ul>

    <h3>Fonctionnalités disponibles</h3>
    <ul>
        <li>Filtres passe-bas, passe-haut ou passe-bande (optionnellement à phase nulle).</li>
        <li>Suppression de la moyenne ou de la tendance temporelle du signal.</li>
        <li>Mise à l’échelle du signal par un facteur constant.</li>
        <li>Déconvolution avec la réponse instrumentale (avec conversion d’unité et préfiltrage).</li>
        <li>Dérivée et intégration.</li>
        <li>Calcul de l’enveloppe du signal.</li>
        <li>Décimation (sous-échantillonnage).</li>
        <li>Sortie aux formats : miniSEED, SAC binary, ASCII, PNG ou JPEG plot.</li>
    </ul>

    <h2>Générateur d'URL</h2>
    <form method="GET" target="_blank" id="form-url-builder" class="card" data-url="{{ request.scheme }}://{{ request.host + url_for("query") }}?">
        <div class="card-body accordion accordion-flush">
                <div class="accordion-item">
                    <h3 class="accordion-header" id="label-panel-source">
                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#panel-source" aria-expanded="true" aria-controls="panel-source">
                            Source de données
                        </button>
                    </h3>
                    <div id="panel-source" class="accordion-collapse collapse show" aria-labelledby="label-panel-source">
                        <div class="accordion-body">
                            <div class="row">
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <span class="input-group-text" id="label-input-network">Network</span>
                                        <input name="network" type="text" class="form-control" placeholder="network" aria-label="Network" aria-describedby="label-input-network" onchange="generate_url();" required>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <span class="input-group-text" id="label-input-station">Station</span>
                                        <input name="station" type="text" class="form-control" placeholder="station" aria-label="Station" aria-describedby="label-input-station" onchange="generate_url();" required>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <span class="input-group-text" id="label-input-location">Location</span>
                                        <input name="location" type="text" class="form-control" placeholder="location" aria-label="Location" aria-describedby="label-input-location" onchange="generate_url();" required>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <span class="input-group-text" id="label-input-channel">Channel</span>
                                        <input name="channel" type="text" class="form-control" placeholder="channel" aria-label="Channel" aria-describedby="label-input-channel" onchange="generate_url();" required>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="accordion-item">
                    <h3 class="accordion-header" id="label-panel-time">
                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#panel-time" aria-expanded="true" aria-controls="panel-time">
                            Période temporelle
                        </button>
                    </h3>
                    <div id="panel-time" class="accordion-collapse collapse show" aria-labelledby="label-panel-time">
                        <div class="accordion-body">
                            <div class="row">
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <span class="input-group-text" id="label-input-start">Start</span>
                                        <input name="date_start" type="date" class="form-control" placeholder="YYYY-MM-DD" aria-label="Start date" aria-describedby="label-input-start" onchange="generate_url();" required>
                                        <input name="time_start" type="time" class="form-control" placeholder="HH:mm:ss" aria-label="Start time" step="1" onchange="generate_url();">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <span class="input-group-text" id="label-input-start">End</span>
                                        <input name="date_end" type="date" class="form-control" placeholder="YYYY-MM-DD" aria-label="End date" aria-describedby="label-input-end" onchange="generate_url();" required>
                                        <input name="time_end" type="time" class="form-control" placeholder="HH:mm:ss" aria-label="End time" step="1" onchange="generate_url();">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="accordion-item">
                    <h3 class="accordion-header" id="label-panel-output">
                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#panel-output" aria-expanded="true" aria-controls="panel-output">
                            Configuration du format de sortie
                        </button>
                    </h3>
                    <div id="panel-output" class="accordion-collapse collapse show" aria-labelledby="label-panel-output">
                        <div class="accordion-body">
                            <div class="input-group mb-3">
                                <span class="input-group-text" id="label-input-format">Format</span>
                                <select name="format" class="form-select" aria-label="Format" aria-describedby="label-input-format" onchange="generate_url();">
                                    <option value="ascii" selected>ASCII</option>
                                    <option value="mseed">MSEED</option>
                                    <option value="sac">SAC</option>
                                    <option value="slist">slist</option>
                                    <option value="tspair">tspair</option>
                                    <option value="plot">Plot (image PNG)</option>
                                </select>
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-text">
                                    <input class="form-check-input mt-0" type="checkbox" onclick="toggle('nodata');" id="toggle-nodata" onchange="generate_url();" checked>
                                </div>
                                <span class="input-group-text" id="label-input-nodata">Code retour en cas d'absence de données</span>
                                <input name="nodata" type="number" class="form-control" placeholder="204" aria-label="Nodata" onchange="generate_url();" value="404">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="accordion-item">
                    <h3 class="accordion-header" id="label-panel-filter">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panel-filter" aria-expanded="false" aria-controls="panel-filter">
                            Options de traitement des signaux temporels
                        </button>
                    </h3>
                    <div id="panel-filter" class="accordion-collapse collapse" aria-labelledby="label-panel-filter">
                        <div class="accordion-body">
                            <div class="alert alert-info" role="alert">
                              <i class="bi bi-arrows-move"></i> Déplacez les filtres pour les ordonner !
                            </div>

                            <div class="list-group" id="list-filters">

                                <div class="list-group-item" data-id="detrend">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('detrend');" id="toggle-detrend" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-detrend"><i class="bi bi-arrows-move"></i>&nbsp;Detrend</span>
                                        <select name="detrend" class="form-select" aria-label="detrend" aria-describedby="label-input-detrend" onchange="generate_url();" disabled>
                                            <option value="true">Oui</option>
                                            <option value="false" selected>Non</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="demean">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('demean');" id="toggle-demean" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-demean"><i class="bi bi-arrows-move"></i>&nbsp;Demean</span>
                                        <select name="demean" class="form-select" aria-label="demean" aria-describedby="label-input-demean" onchange="generate_url();" disabled>
                                            <option value="true">Oui</option>
                                            <option value="false" selected>Non</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="taper">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('taper', ['percentage', 'type']);" id="toggle-taper" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-taper"><i class="bi bi-arrows-move"></i>&nbsp;Taper</span>
                                        <input name="taper_percentage" type="number" class="form-control" placeholder="" aria-label="Taper" aria-describedby="label-input-taper" onchange="generate_url();" disabled>
                                        <select name="taper_type" class="form-select" aria-label="correct" aria-describedby="label-input-correct" onchange="generate_url();" disabled>
                                            <option value="hanning">hanning</option>
                                            <option value="hamming">hamming</option>
                                            <option value="cosine">cosine</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="decimate">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('decimate');" id="toggle-decimate" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-decimate"><i class="bi bi-arrows-move"></i>&nbsp;Decimate</span>
                                        <input name="decimate" type="number" class="form-control" placeholder="" aria-label="Decimate" aria-describedby="label-input-decimate" onchange="generate_url();" disabled>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="correct">
                                    <div class="row">
                                        <div class="col">
                                            <div class="input-group">
                                                <div class="input-group-text">
                                                    <input class="form-check-input mt-0" type="checkbox" onclick="toggle('correct');" id="toggle-correct" onchange="generate_url();">
                                                </div>
                                                <span class="input-group-text" id="label-input-correct"><i class="bi bi-arrows-move"></i>&nbsp;Correct</span>
                                                <select name="correct" class="form-select" aria-label="correct" aria-describedby="label-input-correct" onchange="generate_url();" disabled>
                                                    <option value="true">Oui</option>
                                                    <option value="false" selected>Non</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col">
                                            <div class="input-group mb-2">
                                                <div class="input-group-text">
                                                    <input class="form-check-input mt-0" type="checkbox" onclick="toggle('waterlevel');" id="toggle-waterlevel" onchange="generate_url();">
                                                </div>
                                                <span class="input-group-text" id="label-input-waterlevel">Waterlevel</span>
                                                <input name="waterlevel" type="number" class="form-control" placeholder="60" aria-label="Waterlevel" aria-describedby="label-input-waterlevel" onchange="generate_url();" disabled>
                                            </div>
                                            <div class="input-group mb-2">
                                                <div class="input-group-text">
                                                    <input class="form-check-input mt-0" type="checkbox" onclick="toggle('freqlimits', ['f1', 'f2', 'f3', 'f4']);" id="toggle-freqlimits" onchange="generate_url();">
                                                </div>
                                                <span class="input-group-text" id="label-input-freqlimits">Freqlimits</span>
                                                <input name="freqlimits_f1" type="number" class="form-control" placeholder="f1" aria-label="" aria-describedby="label-input-freqlimits" onchange="generate_url();" disabled>
                                                <input name="freqlimits_f2" type="number" class="form-control" placeholder="f2" aria-label="" aria-describedby="label-input-freqlimits" onchange="generate_url();" disabled>
                                                <input name="freqlimits_f3" type="number" class="form-control" placeholder="f3" aria-label="" aria-describedby="label-input-freqlimits" onchange="generate_url();" disabled>
                                                <input name="freqlimits_f4" type="number" class="form-control" placeholder="f4" aria-label="" aria-describedby="label-input-freqlimits" onchange="generate_url();" disabled>
                                            </div>
                                            <div class="input-group">
                                                <div class="input-group-text">
                                                    <input class="form-check-input mt-0" type="checkbox" onclick="toggle('units');" id="toggle-units" onchange="generate_url();">
                                                </div>
                                                <span class="input-group-text" id="label-input-units">Units</span>
                                                <select name="units" class="form-select" aria-label="units" aria-describedby="label-input-units" onchange="generate_url();" disabled>
                                                    <option value="AUTO" selected>AUTO</option>
                                                    <option value="DISP">DISP</option>
                                                    <option value="VEL">VEL</option>
                                                    <option value="ACC">ACC</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="diff">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('diff');" id="toggle-diff" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-diff"><i class="bi bi-arrows-move"></i>&nbsp;Diff</span>
                                        <select name="diff" class="form-select" aria-label="diff" aria-describedby="label-input-diff" onchange="generate_url();" disabled>
                                            <option value="true" selected>Oui</option>
                                            <option value="false">Non</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="int">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('int');" id="toggle-int" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-int"><i class="bi bi-arrows-move"></i>&nbsp;Int</span>
                                        <select name="int" class="form-select" aria-label="int" aria-describedby="label-input-int" onchange="generate_url();" disabled>
                                            <option value="true">Oui</option>
                                            <option value="false" selected>Non</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="lpfilter">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('lpfilter');" id="toggle-lpfilter" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-lpfilter"><i class="bi bi-arrows-move"></i>&nbsp;Low-pass</span>
                                        <input name="lpfilter" type="number" class="form-control" placeholder="" aria-label="Lpfilter" aria-describedby="label-input-lpfilter" onchange="generate_url();" disabled>
                                        <span class="input-group-text">Hz</span>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="hpfilter">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('hpfilter');" id="toggle-hpfilter" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-hpfilter"><i class="bi bi-arrows-move"></i>&nbsp;High-pass</span>
                                        <input name="hpfilter" type="number" class="form-control" placeholder="" aria-label="Hpfilter" aria-describedby="label-input-hpfilter" onchange="generate_url();" disabled>
                                        <span class="input-group-text">Hz</span>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="bpfilter">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('bpfilter', ['min', 'max']);" id="toggle-bpfilter" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-bpfilter"><i class="bi bi-arrows-move"></i>&nbsp;Band-pass</span>
                                        <input name="bpfilter_min" type="number" class="form-control" placeholder="Min" aria-label="Min" aria-describedby="label-input-bpfilter" onchange="generate_url();" disabled>
                                        <input name="bpfilter_max" type="number" class="form-control" placeholder="Max" aria-label="Max" aria-describedby="label-input-bpfilter" onchange="generate_url();" disabled>
                                        <span class="input-group-text">Hz</span>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="zerophase">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('zerophase');" id="toggle-zerophase" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-zerophase"><i class="bi bi-arrows-move"></i>&nbsp;Zerophase</span>
                                        <select name="zerophase" class="form-select" aria-label="zerophase" aria-describedby="label-input-zerophase" onchange="generate_url();" disabled>
                                            <option value="true">Oui</option>
                                            <option value="false" selected>Non</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="envelope">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('envelope');" id="toggle-envelope" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-envelope"><i class="bi bi-arrows-move"></i>&nbsp;Envelope</span>
                                        <select name="envelope" class="form-select" aria-label="envelope" aria-describedby="label-input-envelope" onchange="generate_url();" disabled>
                                            <option value="true">Oui</option>
                                            <option value="false" selected>Non</option>
                                        </select>
                                    </div>
                                 </div>

                                <div class="list-group-item" data-id="scale">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('scale');" id="toggle-scale" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-scale"><i class="bi bi-arrows-move"></i>&nbsp;Scale</span>
                                        <input name="scale" type="number" class="form-control" placeholder="" aria-label="Scale" aria-describedby="label-input-scale" onchange="generate_url();" disabled>
                                    </div>
                                </div>

                                <div class="list-group-item" data-id="divscale">
                                    <div class="input-group">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('divscale');" id="toggle-divscale" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-divscale"><i class="bi bi-arrows-move"></i>&nbsp;Divscale</span>
                                        <input name="divscale" type="number" class="form-control" placeholder="" aria-label="Divscale" aria-describedby="label-input-divscale" onchange="generate_url();" disabled>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="accordion-item">
                    <h3 class="accordion-header" id="label-panel-plot">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panel-plot" aria-expanded="false" aria-controls="panel-plot">
                            Options graphiques
                        </button>
                    </h3>
                    <div id="panel-plot" class="accordion-collapse collapse" aria-labelledby="label-panel-plot">
                        <div class="accordion-body">

                            <div class="row">
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('showtitle');" id="toggle-showtitle" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-showtitle">Titre</span>
                                        <select name="showtitle" class="form-select" aria-label="Showtitle" aria-describedby="label-input-showtitle" onchange="generate_url();" disabled>
                                            <option value="true" selected>Oui</option>
                                            <option value="false">Non</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col">

                                    <div class="input-group mb-3">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('showscale');" id="toggle-showscale" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-showscale">Échelle</span>
                                        <select name="showscale" class="form-select" aria-label="Showscale" aria-describedby="label-input-showscale" onchange="generate_url();" disabled>
                                            <option value="true" selected>Oui</option>
                                            <option value="false">Non</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('monochrome');" id="toggle-monochrome" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-monochrome">Niveaux de gris</span>
                                        <select name="monochrome" class="form-select" aria-label="Monochrome" aria-describedby="label-input-monochrome" onchange="generate_url();" disabled>
                                            <option value="true">Oui</option>
                                            <option value="false" selected>Non</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('width');" id="toggle-width" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-width">Largeur</span>
                                        <input name="width" type="number" class="form-control" placeholder="1200" aria-label="Largeur" aria-describedby="label-input-width" onchange="generate_url();" disabled>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="input-group mb-3">
                                        <div class="input-group-text">
                                            <input class="form-check-input mt-0" type="checkbox" onclick="toggle('height');" id="toggle-height" onchange="generate_url();">
                                        </div>
                                        <span class="input-group-text" id="label-input-height">Hauteur</span>
                                        <input name="height" type="number" class="form-control" placeholder="400" aria-label="Hauteur" aria-describedby="label-input-height" onchange="generate_url();" disabled>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>

        <div class="card-footer">
            <div class="input-group mb-3">
                <input type="text" class="form-control" placeholder="" aria-label="URL" id="input-generated-url" readonly>
                <div class="input-group-append">
                    <button id="button-copy" class="btn btn-secondary" type="button" data-clipboard-target="#input-generated-url">
                        <i class="bi bi-clipboard-plus"></i>
                    </button>
                    <button id="button-run" class="btn btn-primary" type="button" onclick="run_url();">
                        <i class="bi bi-play-fill"></i>
                    </button>
                </div>
            </div>
        </div>
    </form>

    <h2>Documentation</h2>

    <h3>Exemples</h3>
    <ul>
        <li><a href="{{ url_for('query') }}?net=RA&station=PYTO&cha=HN2&loc=02&demean&correct&start=2017-11-02T13:35:00&end=2017-11-02T13:40:00&format=ascii">{{ request.host + url_for('query') }}?net=RA&amp;station=PYTO&amp;cha=HN2&amp;loc=02&amp;demean&amp;correct&amp;start=2017-11-02T13:35:00&amp;end=2017-11-02T13:40:00&amp;format=ascii</a></li>
        <li><a href="{{ url_for('query') }}?net=RA&station=PYTO&cha=HN2&loc=02&demean&correct&start=2017-11-02T13:35:00&end=2017-11-02T13:40:00&format=plot">{{ request.host + url_for('query') }}?net=RA&amp;station=PYTO&amp;cha=HN2&amp;loc=02&amp;demean&amp;correct&amp;start=2017-11-02T13:35:00&amp;end=2017-11-02T13:40:00&amp;format=plot</a></li>
    </ul>

    <h3>Utilisation</h3>
    <pre><code>/query? (channel-options) (date-range-options) (output-options) [filter-options] {plot-options} [nodata=404]

où :
channel-options      ::  (net=&lt;network&gt; sta=&lt;station&gt; loc=&lt;location&gt; cha=&lt;channel&gt;)
date-range-options   ::  (starttime=&lt;date|durée&gt;) (endtime=&lt;date|durée&gt;)
output-options       ::  (format=&lt;ascii|mseed|sac|slist|tspair|plot&gt;)
plot-options         ::  {showtitle=&lt;TRUE|false&gt;} {showscale=&lt;TRUE|false&gt;} {monochrome=&lt;true|FALSE&gt;}
plot-options         ::  {width=&lt;400-2000&gt;} {height=&lt;200-2000&gt;}
filter-options       ::  [demean=&lt;TRUE|false&gt;] [detrend=&lt;true|FALSE&gt;]
filter-options       ::  [taper=&lt;0.0-0.5,HANNING|hamming|cosine&gt;]
filter-options       ::  [decimate=&lt;2-16&gt;]
filter-options       ::  [correct=&lt;true|FALSE&gt;] {waterlevel=&lt;nombre&gt;} {freqlimits=&lt;f1-f2-f3-f4&gt;} {units=&lt;AUTO|disp|vel|acc&gt;}
filter-options       ::  [diff=&lt;true|FALSE&gt;] [int=&lt;true|FALSE&gt;]
filter-options       ::  [lpfilter=&lt;fréquence&gt;] [hpfilter=&lt;fréquence&gt;] [bpfilter=&lt;fmin-fmax&gt;] {zerophase=&lt;true|FALSE&gt;}
filter-options       ::  [envelope=&lt;true|FALSE&gt;]
filter-options       ::  [scale=&lt;nombre&gt;] [divscale=&lt;nombre&gt;]

(..) requis
[..] optionnel
{..} optionnel, mais toujours en complément d'une autre option
les valeurs par défaut sont en majuscules</code></pre>

    <h3>Paramètres</h3>

    <h4>Sélection de la source de données</h4>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Paramètre</th>
                <th>Alias</th>
                <th>Description</th>
                <th>Exemple</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>network</td>
                <td>net</td>
                <td>Code du réseau sismique. Accepte les jokers et les listes.</td>
                <td>FR</td>
            </tr>
            <tr>
                <td>station</td>
                <td>sta</td>
                <td>Code de la station. Accepte les jokers et les listes.</td>
                <td>CIEL</td>
            </tr>
            <tr>
                <td>location</td>
                <td>loc</td>
                <td>Code de localisation. Utilisez loc=-- pour les codes de localisations vides. Accepte les jokers et les listes.</td>
                <td>00</td>
            </tr>
            <tr>
                <td>channel</td>
                <td>cha</td>
                <td>Code du canal. Accepte les jokers et les listes.</td>
                <td>HHZ</td>
            </tr>
        </tbody>
    </table>

    <h5>Jokers et listes d’arguments</h5>
    <ul>
        <li>Jokers : le point d’interrogation <strong>?</strong> représente n’importe quel caractère unique, alors que l’astérisque <strong>*</strong> représente zéro caractère ou plus.</li>
        <li>Listes : plusieurs éléments peuvent être récupérés à l’aide d’une liste séparée par des virgules. Les jokers peuvent être inclus dans la liste.</li>
    </ul>
    <p>Par exemple, pour le code des canaux : channel=EH?,BHZ</p>

    <h4>Sélection de la période temporelle</h4>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Paramètre</th>
                <th>Alias</th>
                <th>Description</th>
                <th>Exemple</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>starttime</td>
                <td>start</td>
                <td>Sélectionne les données à partir de l’heure spécifiée incluse.</td>
                <td>2010-01-10T00:00:00</td>
            </tr>
            <tr>
                <td>endtime</td>
                <td>end</td>
                <td>Sélectionne les données avant l’heure spécifiée incluse.</td>
                <td>2011-02-11T01:00:00</td>
            </tr>
        </tbody>
    </table>

    <p>La définition de l’intervalle de temps avec starttime et endtime peut prendre différentes formes :</p>
    <ul>
        <li>une date, par exemple starttime=2015-08-12T01:00:00</li>
        <li>une durée en secondes, par exemple endtime=7200</li>
        <li>le mot-clé “currentutcday” qui signifie minuit de la date du jour (UTC), par exemple starttime=currentutcday</li>
    </ul>

    <h5>Formats des dates et des heures</h5>
    <pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (une heure de 00:00:00 est supposée)
currentutcday  (aujourd'hui à 00:00:00)

avec :

YYYY    :: quatre chiffres de l&#39;année
MM      :: deux chiffres du mois (01=Janvier, etc.)
DD      :: deux chiffres du jour du mois (01 à 31)
T       :: séparateur date-heure
hh      :: deux chiffres de l&#39;heure (00 à 23)
mm      :: deux chiffres des minutes (00 à 59)
ss      :: deux chiffres des secondes (00 à 59)
ssssss  :: un à six chiffres des microsecondes en base décimale (0 à 999999)</code></pre>

    <h4>Configuration du format de sortie</h4>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Paramètre</th>
                <th>Alias</th>
                <th>Défaut</th>
                <th>Description</th>
                <th>Exemple</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>format</td>
                <td></td>
                <td></td>
                <td>Format de sortie du fichier : ascii (équivalent à tspair), mseed, sac, slist ou plot (sortie graphique).</td>
                <td>ascii</td>
            </tr>
            <tr>
                <td>nodata</td>
                <td></td>
                <td>204</td>
                <td>Code retour en cas d'absence de données</td>
                <td>404</td>
            </tr>
        </tbody>
    </table>

    <h4>Options de traitement des signaux temporels</h4>

    <p>Les paramètres suivants permettent de filtrer les signaux. L’ordre des paramètres compte puisque chaque opération sera effectuée dans l’ordre donné.</p>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Paramètre</th>
                <th>Alias</th>
                <th>Défaut</th>
                <th>Unité</th>
                <th>Description</th>
                <th>Exemple</th>
                <th>Documentation</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>demean</td>
                <td></td>
                <td>false</td>
                <td></td>
                <td>Retranche la valeur moyenne aux données.</td>
                <td>true</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.detrend.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>detrend</td>
                <td></td>
                <td>false</td>
                <td></td>
                <td>Supprime la tendance temporelle du signal.</td>
                <td>true</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.detrend.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>taper</td>
                <td></td>
                <td></td>
                <td></td>
                <td>Fenêtrage dans le domaine temporel. La taille de la fenêtre est donnée en fraction de la taille du signal (de 0 à 0.5). Elle peut être suivie du type de fenêtre : HANNING (défaut), HAMMING, COSINE.</td>
                <td>0.25<br/>0.25, HANNING<br/>0.35, COSINE</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.taper.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>decimate</td>
                <td>deci</td>
                <td></td>
                <td></td>
                <td>Facteur de décimation. Un filtre passe-bas est appliqué pour empêcher l’effet de repliement de spectre (antialiasing).</td>
                <td>2.0</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.decimate.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>correct</td>
                <td></td>
                <td>false</td>
                <td></td>
                <td>Applique une correction instrumentale par déconvolution avec conversion en unités géophysiques.</td>
                <td>true</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.remove_response.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>waterlevel</td>
                <td></td>
                <td>60</td>
                <td>dB</td>
                <td>Niveau de l’eau utilisé pour la déconvolution. <br/> La valeur "none" correspond au filtrage inverse classique.</td>
                <td>1<br/>none</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.remove_response.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>freqlimits</td>
                <td></td>
                <td></td>
                <td></td>
                <td>Filtrage passe-bande appliqué avant la déconvolution dans le domaine fréquentiel<sup>1,2</sup>. Fenêtre rectangle d’amplitude 1 entre f2 et f3 et en cosinus jusqu’à 0 pour f1 &lt; f &lt; f2 et f3 &lt; f &lt; f4.</td>
                <td>0.01-0.04-0.5-0.6</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.remove_response.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>units</td>
                <td></td>
                <td>AUTO</td>
                <td></td>
                <td>Unité de sortie (AUTO, DISP, VEL, ACC). Actif uniquement avec l’option correct.</td>
                <td>VEL</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.remove_response.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>diff</td>
                <td></td>
                <td>false</td>
                <td></td>
                <td>Signal dérivé (approximation centrée).</td>
                <td>true</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.differentiate.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>int</td>
                <td></td>
                <td>false</td>
                <td></td>
                <td>Signal intégré (méthode des trapèzes).</td>
                <td>true</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.integrate.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>lpfilter</td>
                <td>lp</td>
                <td></td>
                <td>Hz</td>
                <td>Filtre passe-bas (IIR d’ordre 4 / fenêtre de Butterworth)<sup>1</sup>.</td>
                <td>1.0</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.signal.filter.lowpass.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>hpfilter</td>
                <td>hp</td>
                <td></td>
                <td>Hz</td>
                <td>Filtre passe-haut (IIR d’ordre 4 / fenêtre de Butterworth)<sup>1</sup>.</td>
                <td>2.0</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.signal.filter.highpass.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>bpfilter</td>
                <td>bp</td>
                <td></td>
                <td>Hz</td>
                <td>Filtre passe-bande (IIR d’ordre 4 / fenêtre de Butterworth)<sup>1,2</sup>.</td>
                <td>0.5-1.2</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.signal.filter.bandpass.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>zerophase</td>
                <td></td>
                <td>false</td>
                <td></td>
                <td>Filtrage à phase nulle. Option à utiliser avec : lpfilter, hpfilter ou bpfilter.</td>
                <td>true</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.core.trace.Trace.filter.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>envelope</td>
                <td></td>
                <td>false</td>
                <td></td>
                <td>Enveloppe du signal par transformée de Hilbert approchée.</td>
                <td>true</td>
                <td><a href="https://docs.obspy.org/packages/autogen/obspy.signal.filter.envelope.html" target="_blank">ObsPy</a></td>
            </tr>
            <tr>
                <td>scale</td>
                <td></td>
                <td></td>
                <td></td>
                <td>Multiplie les valeurs du signal par une constante.</td>
                <td>1.5</td>
                <td></td>
            </tr>
            <tr>
                <td>divscale</td>
                <td></td>
                <td></td>
                <td></td>
                <td>Divise les valeurs du signal par une constante.</td>
                <td>4.0</td>
                <td></td>
            </tr>
        </tbody>
    </table>

    <p>Notes :</p>
    <ol>
        <li>Les fréquences sont exprimées en Hertz.</li>
        <li>Les fréquences sont séparées par une virgule ou un tiret. (Exemple : 0.01,0.02)</li>
    </ol>

    <h4>Options graphiques</h4>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Paramètre</th>
                <th>Alias</th>
                <th>Défaut</th>
                <th>Description</th>
                <th>Exemple</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>showtitle</td>
                <td></td>
                <td>true</td>
                <td>Affiche ou non un titre montrant le canal et l’intervalle de dates.</td>
                <td>false</td>
            </tr>
            <tr>
                <td>showscale</td>
                <td></td>
                <td>true</td>
                <td>Affiche ou non une échelle sur le côté droit du graphique.</td>
                <td>false</td>
            </tr>
            <tr>
                <td>monochrome</td>
                <td></td>
                <td>false</td>
                <td>Image en niveaux de gris ou en couleur.</td>
                <td>true</td>
            </tr>
            <tr>
                <td>width</td>
                <td></td>
                <td>1200</td>
                <td>Largeur de l’image de sortie (pixels). De 400 à 2000.</td>
                <td>500</td>
            </tr>
            <tr>
                <td>height</td>
                <td></td>
                <td>400</td>
                <td>Hauteur de l’image de sortie (pixels). De 200 à 2000.</td>
                <td>400</td>
            </tr>
        </tbody>
    </table>

    <h3>Support</h3>
    <p>Le code source est distribué sous les termes de la <a href="https://choosealicense.com/licenses/gpl-3.0">licence GPLv3</a> et est disponible sur <a href="https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-timeseries">https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF/ws-timeseries</a></p>
    <p>Pour toute question concernant l'accès aux données, la transmission d'un rapport de bug, les suggestions, les demandes d'aide, veuillez consulter <a href="https://gitlab.com/resif/sismo-help">notre service d'assistance</a> ou envoyer un courriel à <a href="mailto:sismo-help@resif.fr">sismo-help@resif.fr</a></p>

{% endblock %}
